libmpdec-devel-2.3-alt1.git20140923.1.1.1.x86_64.rpm


Advertisement

Description

libmpdec-devel - Shared library for cdecimal

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename libmpdec-devel-2.3-alt1.git20140923.1.1.1.x86_64.rpm
Package name libmpdec-devel
Package version 2.3
Package release alt1.git20140923.1.1.1
Package architecture x86_64
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 36.73 KB
Installed size 36.73 KB
Please note: cdecimal has been integrated into CPython 3.3, where it
supersedes the pure Python version: import decimal will automatically
import the C version. Performance has been improved further, so the
cdecimal version shipped with CPython 3.3 is significantly faster for
numerical workload than cdecimal-2.3. If you need maximum decimal
computing performance, you should solely use that Python version.
This package contains documentation for for libmpdec.

Alternatives

Package Version Architecture Repository
libmpdec-devel-2.3-alt1.git20140923.1.1.1.i586.rpm 2.3 i586 Classic
libmpdec-devel - - -

Requires

Name Value
libmpdec = 2.3-alt1.git20140923.1.1.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
libmpdec-devel = 2.3-alt1.git20140923.1.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libmpdec-devel-2.3-alt1.git20140923.1.1.1.x86_64.rpm
Source Package python-module-cdecimal-2.3-alt1.git20140923.1.1.1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libmpdec-devel rpm package:
    # sudo apt-get install libmpdec-devel

Files

Path
/usr/include/mpdecimal.h
/usr/lib64/libmpdec.so

Changelog

2018-03-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 2.3-alt1.git20140923.1.1.1
- (NMU) Rebuilt with python-3.6.4.
2018-02-02 - Stanislav Levin <slev@altlinux.org> 2.3-alt1.git20140923.1.1
- (NMU) Fix Requires and BuildRequires to python-setuptools
2016-03-17 - Ivan Zakharyaschev <imz@altlinux.org> 2.3-alt1.git20140923.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
(for ABI dependence and new python3(*) reqs)
2014-10-20 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3-alt1.git20140923
- Initial build for Sisyphus

See Also

Package Description
libmpeg2-0.5.1-alt3.svn20120718.x86_64.rpm Shared version of libmpeg2 library
libmpeg2-devel-0.5.1-alt3.svn20120718.x86_64.rpm libmpeg2 development files
libmpeg2-devel-static-0.5.1-alt3.svn20120718.x86_64.rpm Static version of libmpeg2 library
libmpeg4ip-1.5.0.1-alt17.x86_64.rpm MPEG4IP libraries
libmpeg4ip-devel-1.5.0.1-alt17.x86_64.rpm MPEG4IP Development files
libmpfc-1.3.8-alt0.5.qa2.1.x86_64.rpm Shared libraries of MPFC
libmpfc-devel-1.3.8-alt0.5.qa2.1.x86_64.rpm MPFC is music player for console (development files)
libmpfr-devel-4.0.2-alt1.x86_64.rpm Development MPFR library, header files and documentation
libmpfr6-4.0.2-alt1.x86_64.rpm Multiple Precision Floating-Point library
libmpg123-1.25.10-alt1.x86_64.rpm mpg123 library
libmpg123-devel-1.25.10-alt1.x86_64.rpm mpg123 library headers
libmpip-3.3-alt7.svn20140313.x86_64.rpm Shared libraries of mpiP (MPI profiling library)
libmpip-devel-3.3-alt7.svn20140313.x86_64.rpm Development files of mpiP (MPI profiling library)
libmpsse-1.3.2-alt2.x86_64.rpm Open source library for SPI/I2C control via FTDI chips
libmpsse-devel-1.3.2-alt2.x86_64.rpm Development files for libmpsse
Advertisement
Advertisement